Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4LowEIonFragmentation.cc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4LowEIonFragmentation.cc	(revision 1315)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4LowEIonFragmentation.cc	(revision 1337)
@@ -24,4 +24,18 @@
 // ********************************************************************
 //
+//
+// $Id: G4LowEIonFragmentation.cc,v 1.5 2010/06/01 16:51:11 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
+//
+//---------------------------------------------------------------------------
+//
+// ClassName:   G4LowEIonFragmentation
+//
+// Author:  H.P. Wellisch
+//
+// Modified:
+// 02 Jun 2010 M. A. Cortes Giraldo fix: particlesFromTarget must be 
+//                     accounted for as particles of initial compound nucleus
+
 #include "G4LowEIonFragmentation.hh"
 #include <algorithm>
@@ -30,4 +44,21 @@
 G4int G4LowEIonFragmentation::totalTries = 0;
 G4double G4LowEIonFragmentation::area = 0;
+
+G4LowEIonFragmentation::G4LowEIonFragmentation(G4ExcitationHandler * const value) 
+{
+  theHandler = value;
+  theModel = new G4PreCompoundModel(theHandler);
+}
+
+G4LowEIonFragmentation::G4LowEIonFragmentation() 
+{
+  theHandler = new G4ExcitationHandler;
+  theModel = new G4PreCompoundModel(theHandler);
+}
+
+G4LowEIonFragmentation::~G4LowEIonFragmentation() 
+{
+  delete theModel;
+}
 
 G4HadFinalState * G4LowEIonFragmentation::
@@ -134,5 +165,7 @@
   anInitialState.SetA(aTargetA+particlesFromProjectile);
   anInitialState.SetZ(aTargetZ+chargedFromProjectile);
-  anInitialState.SetNumberOfParticles(particlesFromProjectile);
+  // M.A. Cortes fix
+  //anInitialState.SetNumberOfParticles(particlesFromProjectile);
+  anInitialState.SetNumberOfParticles(particlesFromProjectile+particlesFromTarget);
   anInitialState.SetNumberOfHoles(particlesFromTarget);
   anInitialState.SetNumberOfCharged(chargedFromProjectile + chargedFromTarget);
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundAlpha.cc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundAlpha.cc	(revision 1315)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundAlpha.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PreCompoundAlpha.cc,v 1.6 2010/04/09 14:06:17 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundDeuteron.cc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundDeuteron.cc	(revision 1315)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundDeuteron.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PreCompoundDeuteron.cc,v 1.6 2010/04/09 14:06:17 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundEmission.cc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundEmission.cc	(revision 1315)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundEmission.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PreCompoundEmission.cc,v 1.28 2010/02/25 10:27:36 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundFragment.cc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundFragment.cc	(revision 1315)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundFragment.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PreCompoundFragment.cc,v 1.8 2009/02/10 16:01:37 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // J. M. Quesada (August 2008).  
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundFragmentVector.cc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundFragmentVector.cc	(revision 1315)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundFragmentVector.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PreCompoundFragmentVector.cc,v 1.11 2009/02/10 16:01:37 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // Hadronic Process: Nuclear Preequilibrium
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundHe3.cc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundHe3.cc	(revision 1315)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundHe3.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PreCompoundHe3.cc,v 1.6 2010/04/09 14:06:17 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundIon.cc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundIon.cc	(revision 1315)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundIon.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PreCompoundIon.cc,v 1.16 2009/02/10 16:01:37 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundModel.cc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundModel.cc	(revision 1315)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundModel.cc	(revision 1337)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4PreCompoundModel.cc,v 1.18 2009/11/19 10:19:31 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4PreCompoundModel.cc,v 1.20 2010/06/11 17:26:43 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // by V. Lara
@@ -64,4 +64,6 @@
 
 G4PreCompoundModel::G4PreCompoundModel() 
+  : G4VPreCompoundModel(0), useHETCEmission(false), useGNASHTransition(false), 
+    OPTxs(3), useSICB(false), useNGB(false), useSCO(false), useCEMtr(true) 
 {}
 
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundNeutron.cc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundNeutron.cc	(revision 1315)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundNeutron.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PreCompoundNeutron.cc,v 1.4 2009/02/11 18:06:00 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundNucleon.cc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundNucleon.cc	(revision 1315)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundNucleon.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PreCompoundNucleon.cc,v 1.13 2009/02/11 18:06:00 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundParameters.cc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundParameters.cc	(revision 1315)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundParameters.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PreCompoundParameters.cc,v 1.3 2006/06/29 20:59:29 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // by V. Lara
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundProton.cc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundProton.cc	(revision 1315)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundProton.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PreCompoundProton.cc,v 1.5 2010/04/09 14:06:17 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundTransitions.cc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundTransitions.cc	(revision 1315)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundTransitions.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PreCompoundTransitions.cc,v 1.22 2009/11/21 18:03:13 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundTriton.cc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundTriton.cc	(revision 1315)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundTriton.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PreCompoundTriton.cc,v 1.6 2010/04/09 14:06:17 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4VPreCompoundFragment.cc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4VPreCompoundFragment.cc	(revision 1315)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4VPreCompoundFragment.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4VPreCompoundFragment.cc,v 1.12 2009/02/10 16:01:37 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // J. M. Quesada (August 2008).  
